using System.ComponentModel;
using System.Reflection;

namespace TechHelper.Client.AI
{
	public enum AIModelsEnum
	{
		[Description("glm-4v-flash")]
		GLM4VFlash,

		[Description("cogview-3-flash")]
		Cogview3Flash,

		[Description("cogvideox-flash")]
		CogVideoXFlash,

		[Description("glm-4-flash-250414")]
		GLM4Flash25,

		[Description("glm-z1-flash")]
		GLMZ1Flash


	}


	public static class EnumExtensions
	{
		public static string GetDescription(this Enum value)
		{
			FieldInfo field = value.GetType().GetField(value.ToString());
			DescriptionAttribute attribute = Attribute.GetCustomAttribute(field, typeof(DescriptionAttribute)) as DescriptionAttribute;
			return attribute == null ? value.ToString() : attribute.Description;
		}
	}

	public class AIModels
	{

	}
}
